Skip to content

Query delivery logs

GET
/v1/logs

Retrieve a paginated list of webhook messages with optional filters. Useful for debugging, monitoring, and auditing webhook deliveries.

endpoint_id
string
/^ep_[a-f0-9]{32}$/

Filter by specific endpoint

Example
ep_550e8400e29b41d4a716446655440000
status
string
Allowed values: queued delivering succeeded pending_retry failed_permanent

Filter by message status

Example
failed_permanent
start_time
string format: date-time

Filter messages created after this timestamp (ISO 8601)

Example
2025-12-01T00:00:00Z
end_time
string format: date-time

Filter messages created before this timestamp (ISO 8601)

Example
2025-12-06T23:59:59Z
limit
integer
default: 50 >= 1 <= 500

Maximum number of results to return

Example
100
cursor
string

Pagination cursor from previous response

Example
eyJpZCI6Im1zZ18xMjMiLCJ0cyI6MTczMzQ1Njc4OX0=

Logs retrieved successfully

object
data
Array<object>
object
message_id
string
Example
01935abc-def0-7123-4567-890abcdef012
endpoint
string format: uri
Example
https://customer.app/webhooks
status
string
Allowed values: queued delivering succeeded pending_retry failed_permanent
Example
succeeded
attempt_count
integer
Example
1
created_at
string format: date-time
Example
2025-12-06T12:00:00Z
delivered_at
string format: date-time
Example
2025-12-06T12:00:05Z
response_status
integer
Example
200
response_latency_ms
integer
Example
120
last_error
string
Example
connection timeout
meta
object
request_id

Unique identifier for this request (useful for support)

string
Example
req_xyz123
next_cursor

Cursor for the next page of results

string
Example
eyJpZCI6Im1zZ18xMjMiLCJ0cyI6MTczMzQ1Njc4OX0=
has_more

Whether more results are available

boolean
Example
true
Example
{
"data": [
{
"message_id": "01935abc-def0-7123-4567-890abcdef012",
"endpoint": "https://customer.app/webhooks",
"status": "succeeded",
"attempt_count": 1,
"created_at": "2025-12-06T12:00:00Z",
"delivered_at": "2025-12-06T12:00:05Z",
"response_status": 200,
"response_latency_ms": 120
},
{
"message_id": "01935abc-def0-7123-4567-890abcdef013",
"endpoint": "https://customer.app/webhooks",
"status": "pending_retry",
"attempt_count": 3,
"created_at": "2025-12-06T11:00:00Z",
"next_attempt_at": "2025-12-06T17:00:00Z",
"last_error": "connection timeout"
}
],
"meta": {
"next_cursor": "eyJpZCI6Im1zZ18xMjMiLCJ0cyI6MTczMzQ1Njc4OX0=",
"has_more": true,
"request_id": "req_xyz123"
}
}

Invalid request

object
error
object
code

Machine-readable error code

string
Example
INVALID_REQUEST
message

Human-readable error message

string
Example
endpoint must be a valid HTTPS URL
meta
object
request_id

Unique identifier for this request (useful for support)

string
Example
req_xyz123
Examples

Endpoint not found

{
"error": {
"code": "ENDPOINT_NOT_FOUND",
"message": "endpoint not found"
},
"meta": {
"request_id": "req_xyz123"
}
}

Unauthorized - Invalid or missing API key

object
error
object
code

Machine-readable error code

string
Example
INVALID_REQUEST
message

Human-readable error message

string
Example
endpoint must be a valid HTTPS URL
meta
object
request_id

Unique identifier for this request (useful for support)

string
Example
req_xyz123
Example
{
"error": {
"code": "UNAUTHORIZED",
"message": "Invalid or missing API key"
},
"meta": {
"request_id": "req_xyz123"
}
}
Personalize Examples

Enter your credentials to populate code examples throughout the docs.